Решаем проблему с запуском игры в Barotrauma

Руководства

Игра запускается и сразу закрывается

— Запускаю игру. Сначала белый экран, потом чёрный, и секунды через 3 игра закрывается без каких-либо ошибок.
Вам просто не хватает некоторых библиотек. В большинстве случаев — это OpenAL. Скачать его можно по этой ссылке: GoogleDisk
Если же Вы считаете, что там вирус, то VirusTotal должен Вам помочь, или ищите в интернете сами, с запросом «OpenGL32.dll download». Там примерно первые 2-4 ссылки будут с нормальным файлом без каких-либо вирусов.
Что делать, когда Вы скачали это чудо? Да просто установите. А теперь ай-да в игру!

Если способ выше не помог.

Попробуйте обновить/установить следующие программы:
DirectXСсылка на скачивание — Microsoft
Microsoft .NET Framework 4Ссылка на скачивание — Microsoft
Microsoft XNA FrameworkСсылка на скачивание — Microsoft
Microsoft Visual C++ 2010Ссылка на скачивание — Microsoft
Visual C++ для Visual Studio 2015Ссылка на скачивание — Microsoft

Также не стоит забывать про драйвер на видеокарту, но, как Я сам на своём опыте убедился, эта игра запускается даже на дискретной видеокарте (у меня intel hd 520).
Видеодрайвер NVIDIAСсылка на скачивание — Nvidia[www.nvidia.ru]
Видеодрайвер AMDСсылка на скачивание — AMD[www.amd.com]
Просто укажите там свою модель видеокарты, систему и так далее. Думаю, даже ребёнок разберётся. Если же Вы не поняли или очень ленивы, чтобы самому установить драйвера на Nvidia, то предлагаю Вам скачать «GeForce Experience» — Ссылка на скачивание — Nvidia[www.nvidia.com]
Сайт на русском, так что краткое описание прочитать сможете.

Отключаем начальные ролики.

В файле config.xml найдите почти в самом верху строчку enablesplashscreen=»true».
Просто замените значение на true
enablesplashscreen=»false»

У КОГО WINDOWS 7

Всё, что Я могу Вам предложить… Ждать выхода в стиме или обновлений ЗБТ. Ждать фикса этого бага. В комментариях я оповещу когда ошибку исправят, так как слежу за гитхабом и обновлениями. У большинства на семёрке не работает игра начиная с 0.8.10.0. Более старые версии запускаются без проблем (только OpenAL нужно установить)
Оцените статью